﻿Imports System.Xml.Linq
'VB Exclusive Below This line
Imports <xmlns:data="http://tempuri.org/Schema/Countries/">

Partial Public Class Page
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

    Private src As New CountryWebService.WebServiceSoapClient
    Private XMLData As New XDocument

    Private Sub Page_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        src.AllCountriesAsync()
        AddHandler src.AllCountriesCompleted, AddressOf DownloadCompleted
    End Sub

    Private Sub DownloadCompleted(ByVal sender As Object, ByVal e As CountryWebService.AllCountriesCompletedEventArgs)

        XMLData = XDocument.Parse(e.Result)

        'VB Exclusive below this line
        Dim CountriesData = From i In XMLData...<Country> Select i.@Name
        CountryNames.ItemsSource = CountriesData

    End Sub
End Class